Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Administration Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::Administration:

[legend]
Collaboration diagram for ImplementationRepository::Administration:

[legend]
List of all members.

## Public Types
typedef Administration_ptr | _ptr_type
typedef Administration_var | _var_type
## Public Methods
virtual void | activate_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual char * | activate_server_with_startup (const char *server, CORBA::Long check_startup ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | register_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )
virtual void | reregister_server (const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )
virtual void | remove_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_running (const char *server, const char *addr, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down (const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | find (const char *server, ImplementationRepository::ServerInformation_out info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | list (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list, ImplementationRepository::ServerInformationIterator_out server_iterator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual char * | find_ior (const char *object_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Administration_ptr | _duplicate (Administration_ptr obj)
Administration_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Administration_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| Administration (int collocated=0)
virtual void | ImplementationRepository_Administration_setup_collocation (int collocated)
| Administration (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| Administration (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~Administration (void)
## Private Methods
| Administration (const Administration &)
void | operator= (const Administration &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_Administration_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils< Administration >

## Member Typedef Documentation

typedef Administration_ptr ImplementationRepository::Administration::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

typedef Administration_var ImplementationRepository::Administration::_var_type

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

## Constructor & Destructor Documentation

ImplementationRepository::Administration::Administration | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::Administration::Administration | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ACE_INLINE ImplementationRepository::Administration::Administration | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ImplementationRepository::Administration::~Administration | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::Administration::Administration | ( | const Administration & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::Administration_ptr ImplementationRepository::Administration::_duplicate | ( | Administration_ptr | obj | ) | `[static]`

const char * ImplementationRepository::Administration::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

virtual CORBA::Boolean ImplementationRepository::Administration::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in ImplementationRepository::Locator.

Administration_ptr ImplementationRepository::Administration::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

Administration_ptr ImplementationRepository::Administration::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

void ImplementationRepository::Administration::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

void ImplementationRepository::Administration::activate_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[virtual]`

char * ImplementationRepository::Administration::activate_server_with_startup | ( | const char * | server,
|  | CORBA::Long check_startup | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[virtual]`

void ImplementationRepository::Administration::find | ( | const char * | server,
|  | ImplementationRepository::ServerInformation_out info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

char * ImplementationRepository::Administration::find_ior | ( | const char *object_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::ImplementationRepository_Administration_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

void ImplementationRepository::Administration::list | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out | server_list,
|  | ImplementationRepository::ServerInformationIterator_out server_iterator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean ImplementationRepository::Administration::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in ImplementationRepository::Locator.

void ImplementationRepository::Administration::operator= | ( | const Administration & |  | ) | `[private]`

void ImplementationRepository::Administration::register_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::remove_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::reregister_server | ( | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::server_is_running | ( | const char * | server,
|  | const char * | addr,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::server_is_shutting_down | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Administration::shutdown_server | ( | const char *server | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils< Administration >`[friend]`

## Member Data Documentation

TAO::Collocation_Proxy_Broker* ImplementationRepository::Administration::the_TAO_Administration_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp
- ImplRepoC.i